Google Goggles Now Available for iPhone

Google Goggles has finally come to the iPhone as a feature in Google Mobile search App. It took Google nearly a year to put Googles into its mobile search app for iPhone. Android users have been enjoying Google Goggles since December last year.

For those of you who don’t know, Google Goggles is a downloadable image recognition application. It is used for searches based on pictures taken by handheld devices. For example taking a picture of a famous landmark would search for information about it or, taking a picture of a product’s barcode will search for information on the product.

In the new version of Google Mobile App just tap on the camera button to search using Goggles. Goggles will analyze the image and highlight the objects it recognizes — just click on them to find out more.

Computer vision is a hard problem and Google Goggles is still a Labs product. It works well for things such as landmarks, logos and the covers of books, DVDs and games. However, it doesn’t yet work for some things you might want to try like animals, plants or food.

Google Mobile App with Google Goggles is now available in the Apple App Store. Just search for “Google Mobile App” and download the latest version – it’s free. It will gradually be appearing in all App Stores around the world starting from today.

Google Goggles works on iPhone 4 and iPhone 3GS only. Checkout the Google Goggles‘ video demo below…

You can follow us on Twitter, Join us at Facebook, and also Subscribed to RSS Feed to receive latest updates.

7 comments… add one
Harry October 6, 2010, 4:39 am

Hi!
Where to download Google Goggles? I can’t found It on AppStore! Is it only available on Cydia?
Thx!

Adam October 7, 2010, 12:01 pm

It’s not a separate app, instead it’s part of the new update of the Google Mobile App

Adam October 6, 2010, 8:10 am

I downloaded the google app on my 3GS, but i can’t find google goggles, and when i went to the settings, it says that “Google Goggles is not supported on this device” despite being a 3Gs, just wondering if anyone else has this problem or whether it’s because i’m on a lower firmware (3.1.2)?

Adam October 6, 2010, 8:19 am

disregard comment, its because i need to be on iOS4

Dzinepress October 6, 2010, 2:54 pm

this is also really informative app for me as new user. thanks

Leave a Comment